## helma.objectmodel.db
Class SyntheticKey

    java.lang.Object
      helma.objectmodel.db.SyntheticKey

All Implemented Interfaces:
  Key, java.io.Serializable

    public final class SyntheticKey

extends java.lang.Object
implements Key, java.io.Serializable

This is the internal key for an object that is not - or not directly - fetched from a db, but derived from another object. This is useful for all kinds of object accessed via a symbolic name from another object, like objects mounted via a property name column, virtual nodes and groupby nodes.

See Also:
  Serialized Form

Constructor Summary
`SyntheticKey(Key key, java.lang.String name)` make a key for a persistent Object, describing its datasource and id.

Method Summary
`boolean` `equals(java.lang.Object what)`
`java.lang.String` `getID()` Get the key's ID part
`Key` `getParentKey()` Get the key's parent key
`java.lang.String` `getStorageName()` Get the key's storage id
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntheticKey

    public SyntheticKey(Key key,
                        java.lang.String name)

  make a key for a persistent Object, describing its datasource and id.

Method Detail

### equals

    public boolean equals(java.lang.Object what)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `what` - ...
  Returns:
    ...

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    ...

### getParentKey

    public Key getParentKey()

  Description copied from interface: `Key`
  Get the key's parent key

  Specified by:
    `getParentKey` in interface `Key`
  Returns:
    ...

### getID

    public java.lang.String getID()

  Description copied from interface: `Key`
  Get the key's ID part

  Specified by:
    `getID` in interface `Key`
  Returns:
    ...

### getStorageName

    public java.lang.String getStorageName()

  Description copied from interface: `Key`
  Get the key's storage id

  Specified by:
    `getStorageName` in interface `Key`
  Returns:
    ...

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.